#ifndef MAINGUI_H
#define MAINGUI_H

#include <QDialog>

#include "pulsegenerator.h"

namespace Ui {
class MainGUI;
}

class MainGUI : public QDialog
{
    Q_OBJECT

public:
    explicit MainGUI(QWidget *parent = 0);
    ~MainGUI();

private:
    Ui::MainGUI *ui;
    PulseGenerator pg;
    QString getRpiModel();
    enum {SQUARE, SAWTOOTH, TRIANGLE, USER_DEFINED};
    double checkAndConvertVoltage(QString str, double min, double max, bool &ok);
    int checkAndConvertTime(QString str, bool &ok);

private slots :
    void onCurrentChanged(int tabIdx);
    void onParamChanged(QString paramValue);
    void onSclckOrResolutionOrChannelChanged();
    void onNbDacChanged();
    void onSetSignalClicked();
    void onBtnStartAndStopClicked(bool);
};

#endif // MAINGUI_H
